# ==================================================================
# Plugins::LoginForDownload - Auto Generated Install Module
#
#   Plugins::LoginForDownload
#   Author  : Philip Putnam
#   Version : 1.0
#   Updated : Thu Aug 17 08:24:17 2006
#
# ==================================================================
#

package Plugins::LoginForDownload;
# ==================================================================
use strict;
use vars  qw/$VERSION $DEBUG $NAME $META/;
use GT::Base;
use GT::Plugins qw/STOP CONTINUE/;
use Links qw/:objects/;

$VERSION = '1.0';
$DEBUG   = 0;
$NAME    = 'LoginForDownload';
# Inhert from base class for debug and error methods
@Plugins::LoginForDownload::ISA = qw(GT::Base);

$META = {
    'author' => 'Philip Putnam',
    'description' => 'Requires a user to be registered and logged in in order to download a file (or link to a page) using jump.cgi.',
    'license' => 'Freeware',
    'prog_ver' => '3.1.0',
    'url' => 'http://www.perlmad.net',
    'version' => '1.0'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = '';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = '';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::LoginForDownload::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('LoginForDownload', [['handle_jump', 'PRE', 'Plugins::LoginForDownload::handle_jump', '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::LoginForDownload::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('LoginForDownload', [['handle_jump', 'PRE', 'Plugins::LoginForDownload::handle_jump', '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;
